
using Demo.Data.RemoteData.RemoteDataBase.DAO;
using Demo.domain.Models;
using Demo.Domain.UseCase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo.Data.Repository
{
    public interface IPresenceRepository
    {
        List<PresenceDao> GetPresenceByDateAndGroup(DateTime date, int groupId);
        void SavePresence(List<PresenceDao> presences);
        List<PresenceDao> GetPresenceByGroup(int groupId);
        DateOnly? GetLastDateByGroupId(int groupId);
        List<PresenceDao> GetPresenceForAbsent(DateTime date, int GroupId);
    }
}
